> For the complete documentation index, see [llms.txt](https://gl-docs.gitbook.io/zkpass/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gl-docs.gitbook.io/zkpass/zkpass-developers-guide/api-reference/restful-api/errors.md).

# Errors

The zkPass RESTful API strives to provide a smooth user experience, but occasionally errors may occur. This section equips you with knowledge about potential error responses you might encounter.

#### Error Response

```
{
    "status": [http_status_code],
    "status_code": [status_code],
    "status_text": [error_message]
}
```

<table><thead><tr><th width="191">HTTP Status Code</th><th>Status Code</th><th>Error Message</th><th>Description</th></tr></thead><tbody><tr><td><strong>400</strong></td><td>INVALID_PARAMS</td><td>Invalid parameter(s).</td><td>The provided parameters don't meet the required format or validation rules for the app input</td></tr><tr><td><strong>400</strong></td><td>INVALID_PARAMS</td><td>Error serializing parameters</td><td>Our system failed to convert the provided parameters into the required format</td></tr><tr><td><strong>404</strong></td><td>INVALID_URL</td><td>Invalid URL</td><td>The requested privacy app endpoint or resource was not found in our system</td></tr><tr><td><strong>500</strong></td><td>ERROR_LOADING_APP</td><td>Something went wrong. Contact the administrator if the error persists</td><td>Our system failed to initialize or load the requested privacy app</td></tr><tr><td><strong>500</strong></td><td>ERROR_LOADING_INSTANCE</td><td>Something went wrong. Contact the administrator if the error persists</td><td>Our system failed to create a new instance of the privacy app</td></tr><tr><td><strong>500</strong></td><td>CUSTOM_ERROR</td><td>[Custom message]</td><td>A specific error occurred that requires custom handling (message varies)</td></tr><tr><td><strong>500</strong></td><td>MISSING_APPS_CONFIG</td><td>Something went wrong. Contact the administrator if the error persists</td><td>The required configuration for privacy apps is not found or inaccessible</td></tr><tr><td><strong>500</strong></td><td>ERROR_LOCKING_SOCKET</td><td>Something went wrong. Contact the administrator if the error persists</td><td>Our system failed to establish exclusive access to the communication socket</td></tr><tr><td><strong>500</strong></td><td>ERROR_SENDING_TO_SOCKET</td><td>Something went wrong. Contact the administrator if the error persistsrver is not ready yet, please try again later</td><td>Our system failed to send data through the communication socket</td></tr><tr><td><strong>500</strong></td><td>ERROR_RECEIVING_FROM_SOCKET</td><td>Something went wrong. Contact the administrator if the error persists</td><td>Our system failed to receive data from the communication socket</td></tr><tr><td><strong>500</strong></td><td>ERROR_DESERIALIZING</td><td>Something went wrong. Contact the administrator if the error persists</td><td>Our system failed to parse the output data from the privacy app</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gl-docs.gitbook.io/zkpass/zkpass-developers-guide/api-reference/restful-api/errors.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
